TDB(3)

NAME
tdb - trivial database

SYNOPSIS
A database similar to gdbm which allows multiple simultaneous writers.

DESCRIPTION
This is a simple database API. It was inspired by the realisation that in Samba we have several ad-hoc bits of code that essentially implement small databases for sharing structures between parts of Samba. As I was about to add another I realised that a generic database module was called for to replace all the ad-hoc bits.

I based the interface on gdbm. I couldn't use gdbm as we need to be able to have multiple writers to the databases at one time.

AUTHORS
Software: Andrew Tridgell <tridge@linuxcare.com> and Luke Kenneth Casson Leighton Man page: Ben Woodard <ben@valinux.com>

SEE ALSO
gdbm(3), tdb_open(3), tdb_close(3), tdb_delete(3), tdb_error(3), tdb_exists(3), tdb_fetch(3), tdb_firstkey(3), tdb_store(3), tdb_traverse(3), tdb_lockall(3), tdb_lockkeys(3), tdb_chainlock(3)